<html> 

 <head>

 
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Gestion R&eacute;servation</title>
<link href="/scoutsmm.qc.ca/base/baseCSS.css" rel="stylesheet" type="text/css">
 </head>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../contract/gestion-poste.php");
require("../historique.php");
require("../contract/calendrier.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

$numero = $_GET["numero"];
$etape = $_GET["etape"];
$organisme = $_GET["organisme"];
$nom = $_GET["nom"];
$prenom = $_GET["prenom"];
$type = $_GET["type"];
$tel = $_GET["tel"];
$commentaire = $_GET["commentaire"];
$type_reservation = $_GET["type_reservation"];
$etat = $_GET["etat"];
$date_debut = $_GET["date_debut"];
$cal_debut = $_GET["cal_debut"];
$date_fin = $_GET["date_fin"];
$cal_fin = $_GET["cal_fin"];
$prec_etat = $_GET["prec_etat"];
$num_chalet = $_GET["num_chalet"];
$val_chalet = $_GET["val_chalet"];
$refere = $_GET["refere"];


//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");

	
	
	
	
	
	
/////////////////////////////////////////////////////////////////////////////////
/////					POUR LE CALCUL ENTRE DEUX DATES						/////
/////////////////////////////////////////////////////////////////////////////////
function facteur($jour , $mois , $annee)
{ 
    $b=365*$annee; 
    $c=31*($mois-1); 
    if (($mois==1) || ($mois==2))
	{ 
        $d= 0; 
        $e = intval(($annee -1)/4); 
        $h = intval(0.75*(intval(($annee-1)/100)+1)); 
    } 
    else 
	{ 
        $d= intval(0.4*$mois+2.3); 
        $e = intval($annee/4); 
        $h = intval(0.75*(intval($annee/100)+1)); 
    } 
    $result = $jour + $b+ $c - $d +$e -$h; 
    return $result; 
} 

function diff_dates_cal_greg($jour1 , $mois1 , $annee1 , $jour2 , $mois2 , $annee2)
{ 
    $diff = facteur($jour2 , $mois2 , $annee2)-facteur($jour1 , $mois1 , $annee1); 
    return $diff; 
}
/////////////////////////////////////////////////////////////////////////////////	
	
	
	
	
	
	
	
	
	
	
//*****************************************************************************************************
//SI C'EST UN NOUVELLE ENREGISTREMENT	
//*****************************************************************************************************

if ($etape == 1)
{
	if(!empty($organisme))//SI CEST DANS LA ZONE CLIENT
	{
		if (empty($numero))//SI C'EST UN NOUVEL ENREGISTREMENT
		{
			$aryDateMaintenant = explode("-",date("d-m-Y"));
			$today_annee = $aryDateMaintenant[2];
			$today_mois = $aryDateMaintenant[1];
			$today_jour = $aryDateMaintenant[0];
			$date_emission = $today_annee."-".$today_mois."-".$today_jour;
			
			//Trouver l'usager qui fait la reservation
			$sql_usager = "SELECT nom, prenom
							FROM usager
							WHERE bidsession = '$Bsession_id';";
			$result_usager = mysqli_query($GLOBALS["___mysqli_ston"], $sql_usager) or die("Probl&egrave;me de recherche du client!".$sql_usager."<br>");
			$row_usager = mysqli_fetch_row($result_usager);
			$referant = ($row_usager[1]." ".$row_usager[0]);

			
			//entre l'enregistrement du client
			$sql = "insert into base_reservation
						set organisme = '$organisme',
							nom = '$nom',
							prenom = '$prenom',
							tel = '$tel',
							type = '$type',
							refere = '$referant',
							commentaire = '$commentaire',
							refere2 = '$refere',
							actif = 'O',
							date_emission = '$date_emission';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation!".$sql."<br>");
					
			
			//va chercher le tout nouveau numero de reservation
			$sql = "SELECT max(code_reservation) FROM base_reservation;";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire numero_reservation".$sql);
			$row = mysqli_fetch_row($result);
			
			$numero = $row[0];
						
			historique("../historique.txt","---Creation de r&eacute;servation ".$numero."",$Bsession_id);
			
		}else{//SI C'EST UNE MODIFICATION D'UNE RESERVATION EXISTANTE
			$sql = "update base_reservation
		    	SET organisme = '$organisme',
				nom = '$nom',
				prenom = '$prenom',
				tel = '$tel',
				type = '$type',
				commentaire = '$commentaire',
				refere2 = '$refere',
				mis_a_jour = now()
       	  	WHERE code_reservation = '$numero';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
			or die("ne peut faire la modification1");
			historique("../historique.txt","---Modification de reservation ".$numero.", organisme=".$organisme.", nom=".$nom.", prenom=".$prenom.", tel=".$tel.", type=".$type."",$Bsession_id);	
		
		}
	}//FIN ZONE CLIENT
}//fin etape 1
//////////////////////////////////////////////////////////////////////////////////////////////
//																							//
//	Si il y a modification de la date, doit changer le calendrier							//
//																							//
//////////////////////////////////////////////////////////////////////////////////////////////
if ($etape == 2 )	
{
	//CALCUL DE LA DIFF&Eacute;RENCE POUR LE NOMBRE DE NUIT&Eacute;ES////////
	$aryDateDebut = explode("-",$date_debut);
	if(empty($debut_annee)) $debut_annee = $aryDateDebut[0];
	if(empty($debut_mois)) $debut_mois = $aryDateDebut[1];
	if(empty($debut_jour)) $debut_jour = $aryDateDebut[2];

	$aryDateFin = explode("-",$date_fin);
	if(empty($fin_annee)) $fin_annee = $aryDateFin[0];
	if(empty($fin_mois)) $fin_mois = $aryDateFin[1];
	if(empty($fin_jour)) $fin_jour = $aryDateFin[2];

	///////////////////////////////////////////////////////////

	
	if ((($debut_annee == $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee == $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois == $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois < $fin_mois) and ($debut_jour > $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour == $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour < $fin_jour)) 
	or (($debut_annee > $fin_annee) and ($debut_mois > $fin_mois) and ($debut_jour > $fin_jour)))
	{
		print("<center><b><br>");
		print("La date de fin pr&eacute;c&egrave;de la date de debut du contrat. Veuillez choisir une autre date.<br><br>");
		print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");	
		historique("../historique.txt","---reservation,changement date, date de fin precede date de debut",$Bsession_id);
		$valide = 0;
	}else
	{	
		$type_reservation = "reservation";

		//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT
		$sql = "SELECT num_chalet, actif
		   		  FROM base_chalets
				 WHERE code_contrat = '$numero'
				   AND reservation = 'O';";
		$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
		// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
		$num = mysqli_num_rows($result1);

		$j = 1;
		while ($row = mysqli_fetch_row($result1))
		{
			$chalets[$j] = $row[0];
			$actif[$j] = $row[1];
			$j++;
		}

		//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		   		  FROM base_reservation
				 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
		$row2 = mysqli_fetch_row($result2);
		$row_date_debut = $row2[0];
		$row_date_fin = $row2[1];
		$row_cal_debut = $row2[2];
		$row_cal_fin = $row2[3];
		$stop = 0 ;
		
		//BACKUP DES ANCIENNES DONN&Eacute;ES AU CAS OU LA MODIFICATION N'EST PAS VALID&Eacute;		
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		  		  FROM base_reservation
		 		 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
				$backup_chalet = mysqli_fetch_row($result2);
		
			
		//EFFACE LE CHALET DU CALENDRIER	
		for ($j = 1; $j < $num+1; $j++)
		{
			 $validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,2,$chalets[$j],$numero,$type_reservation); //fonction dans calendrier.php, le 2 pour effacer
		}	

	
		//VALIDE TOUTE LES NOUVELLES DATE DU CONTRAT		
		for ($j = 1; $j < $num+1; $j++)
		{
			if ($actif[$j] !="N")
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($cal_debut,$cal_fin,$date_debut,$date_fin,$type_reservation,1,$chalets[$j],$numero,$type_reservation); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}	
		}


		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		$validation = 1;
		for ($j = 1; $j < $num+1; $j++)
		{
			$validation = ($validation*$tableau_chalet[$j][0]);
			if ($actif[$j] =="N")
			{
				$val_requete = 1;
				$validation = 1;
			}
		}	

		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
		{
			$val_requete = 1;
			//POUR CHAQUE CHALET
			for ($j = 1; $j < $num+1; $j++)
			{
	
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
				for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
				{
					$requete1 = $tableau_chalet[$j][4][$a]; 
					$etat1 = $tableau_chalet[$j][3][$a];
					$date1 = $tableau_chalet[$j][2][$a];
					$num_chalet1 = $tableau_chalet[$j][1];

					$c1= $tableau_chalet[$j][6][$a];
					if ($c1 == $numero)
						$c1= "-".$tableau_chalet[$j][6][$a];
					
					$c2= $tableau_chalet[$j][7][$a];
					if ($c2 == $numero)
						$c2= "-".$tableau_chalet[$j][7][$a];
						
					$c3= $tableau_chalet[$j][8][$a];
					if ($c3 == $numero)
						$c3= "-".$tableau_chalet[$j][8][$a];
								
					$c4= $tableau_chalet[$j][9][$a];
					if ($c4 == $numero)
						$c4= "-".$tableau_chalet[$j][9][$a];


			
					//SI C'EST POUR UN UPDATE
					if ($requete1 == 2)
					{
						$sql = "UPDATE base_calendrier SET etat = '$etat1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql.= "mis_a_jour = now()
						WHERE base_calendrier.date = '$date1'
						AND num_chalet = '$num_chalet1';";
						$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
					}
					//SI C'EST POUR UN INSERT
					if ($requete1 == 1)
					{
						$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql .= "num_chalet = '$num_chalet1',
						etat = '$etat1',
						mis_a_jour = now();";
						$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
					}//fin insert
				}//fin pour chaque enregistrement du chalet
			}//fin pour chaque chalet
		}//fin validation > 0


		if ($validation == 0)
		{
			historique("../historique.txt","---changement date, les dates sont non valide, retour au ancienne date",$Bsession_id);
			$erreur = 1;
			for ($j = 1; $j < $num+1; $j++)
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$c1,$c2,$c3,$c4) = calendrier($backup_chalet[2],$backup_chalet[3],$backup_chalet[0],$backup_chalet[1],$type_reservation,1,$chalets[$j],$numero,$type_reservation); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}
	
			//POUR CHAQUE CHALET
			for ($j = 1; $j < $num+1; $j++)
			{
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
				for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
				{
					$requete1 = $tableau_chalet[$j][4][$a]; 
					$etat1 = $tableau_chalet[$j][3][$a];
					$date1 = $tableau_chalet[$j][2][$a];
					$num_chalet1 = $tableau_chalet[$j][1];
						$c1= $tableau_chalet[$j][6][$a];
					if ($c1 == $numero)
						$c1= "-".$tableau_chalet[$j][6][$a];
						
					$c2= $tableau_chalet[$j][7][$a];
					if ($c2 == $numero)
						$c2= "-".$tableau_chalet[$j][7][$a];
					
					$c3= $tableau_chalet[$j][8][$a];
					if ($c3 == $numero)
						$c3= "-".$tableau_chalet[$j][8][$a];
					
					$c4= $tableau_chalet[$j][9][$a];
					if ($c4 == $numero)
						$c4= "-".$tableau_chalet[$j][9][$a];

		
					//SI C'EST POUR UN UPDATE
					if ($requete1 == 2)
					{
						$sql = "UPDATE base_calendrier SET etat = '$etat1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql.= "mis_a_jour = now()
						WHERE base_calendrier.date = '$date1'
						AND num_chalet = '$num_chalet1';";
						$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
					}
					//SI C'EST POUR UN INSERT
					if ($requete1 == 1)
					{
						$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql .= "num_chalet = '$num_chalet1',
						etat = '$etat1',
						mis_a_jour = now();";
						$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
					}//fin insert
				}//fin pour chaque enregistrement du chalet
			}//fin pour chaque chalet
			print("<center><b><br>");
			print("La p&eacute;riode de location que vous avez choisi est d&eacute;j&agrave; occup&eacute; par un autre contrat. Veuillez en choisir une autre 1.<br><br>");
			print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
			historique("../historique.txt","---changement date, la periode est deja occupe",$Bsession_id);	
		}//fin validation == 0		
	
	
		if ($val_requete==1)
		{
		//////////////////////////////////////////////////////////////////////////////////////////////
		//	requ&ecirc;te pour changer les dates et les heures											//
		//////////////////////////////////////////////////////////////////////////////////////////////
			if ($erreur != 1)
			{
				$sql = "update base_reservation
				    	   set base_reservation.date_debut = '$date_debut',
							   base_reservation.date_fin = '$date_fin',
							   base_reservation.cal_debut = '$cal_debut',
							   base_reservation.cal_fin = '$cal_fin',
						       base_reservation.mis_a_jour = now()
			      	    	 WHERE base_reservation.code_reservation = '$numero';";
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
				or die("ne peut faire la modification2".$sql);
				historique("../historique.txt","---nouvelle date_debut: ".$date_debut." ".$heure_debut." ".$cal_debut.", date_fin: ".$date_fin." ".$heure_fin." ".$cal_fin.", nuite: ".$nuite."",$Bsession_id);
			}//fin if erreur
		}//fin val_requete == 1				
	}//fin else	
}//fin etape 2

if ($etape == 3 )	//MODIFICATION DE LETAT DU CHALET ACTIF O N
{
	// SI IL PASSE DE ACTIF &Agrave; ANNUL&Eacute;, EFFACE LE CHALET DU CALENDRIER
	if (($prec_etat == "O") && ($etat == "N"))
	{
		//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		   		  FROM base_reservation
				 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
		$row2 = mysqli_fetch_row($result2);
		$row_date_debut = $row2[0];
		$row_date_fin = $row2[1];
		$row_cal_debut = $row2[2];
		$row_cal_fin = $row2[3];
		$stop = 0 ;
		
		//EFFACE LE CHALET DU CALENDRIER
		$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,2,$num_chalet,$numero,$type_reservation); //fonction dans calendrier.php, le 2 pour effacer
		$erreur = 0;
			
		$sql = "UPDATE base_chalets
		  	       SET base_chalets.actif = '$etat',
					   base_chalets.date_modif = now(),
				       base_chalets.mis_a_jour = now()
	      		     WHERE base_chalets.code_contrat = '$numero'
				   AND base_chalets.num_chalet = '$num_chalet'
				   AND base_chalets.reservation = 'O';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
		or die("ne peut faire la modification3".$sql);
		historique("../historique.txt","---reservation,changement chalet #".$num_chalet.", de actif a inactif",$Bsession_id);
	}
	
	// SI IL PASSE DE ANNUL&Eacute; &Agrave; ACTIF, AJOUTER LE CHALET AU CALENDRIER
	if (($prec_etat == "N") && ($etat == "O"))
	{
	
		//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES	
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
  	 			  FROM base_reservation
		 		 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
		$row2 = mysqli_fetch_row($result2);
		$row_date_debut = $row2[0];
		$row_date_fin = $row2[1];
		$row_cal_debut = $row2[2];
		$row_cal_fin = $row2[3];
		$stop = 0 ;
				
		//BACKUP DES ANCIENNES DONN&Eacute;ES AU CAS OU LA MODIFICATION N'EST PAS VALID&Eacute;		
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		  		  FROM base_reservation
		 		 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
				$backup_chalet = mysqli_fetch_row($result2);	
	
		//VALIDE LA NOUVELLES DATE	
		list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,1,$num_chalet,$numero,$type_reservation); //fonction dans calendrier.php,   le 1 est pour ajout
		$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
		
			
		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
		{
			$erreur = 0;
			//POUR CHAQUE ENREGISTREMENT DU CHALET
			for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
			{
				$requete1 = $tableau_chalet[$j][4][$a]; 
				$etat1 = $tableau_chalet[$j][3][$a];
				$date1 = $tableau_chalet[$j][2][$a];
				$num_chalet1 = $tableau_chalet[$j][1];

					$c1= $tableau_chalet[$j][6][$a];
					if ($c1 == $numero)
						$c1= "-".$tableau_chalet[$j][6][$a];
					
					$c2= $tableau_chalet[$j][7][$a];
					if ($c2 == $numero)
						$c2= "-".$tableau_chalet[$j][7][$a];
						
					$c3= $tableau_chalet[$j][8][$a];
					if ($c3 == $numero)
						$c3= "-".$tableau_chalet[$j][8][$a];
						
					$c4= $tableau_chalet[$j][9][$a];
					if ($c4 == $numero)
						$c4= "-".$tableau_chalet[$j][9][$a];
			
				//SI C'EST POUR UN UPDATE
				if ($requete1 == 2)
				{
					$sql = "UPDATE base_calendrier SET etat = '$etat1',";
					if (!empty($c1))
						$sql .= "base_calendrier.c1 = '$c1',";		   
					if (!empty($c2))
						$sql .= "base_calendrier.c2 = '$c2',";
					if (!empty($c3))
						$sql .= "base_calendrier.c3 = '$c3',";
					if (!empty($c4))
						$sql .= "base_calendrier.c4 = '$c4',";		
					$sql.= "mis_a_jour = now()
							 WHERE base_calendrier.date = '$date1'
							   AND num_chalet = '$num_chalet1';";
					$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
				}
				//SI C'EST POUR UN INSERT
				if ($requete1 == 1)
				{
					$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
					if (!empty($c1))
						$sql .= "base_calendrier.c1 = '$c1',";		   
					if (!empty($c2))
						$sql .= "base_calendrier.c2 = '$c2',";
					if (!empty($c3))
						$sql .= "base_calendrier.c3 = '$c3',";
					if (!empty($c4))
						$sql .= "base_calendrier.c4 = '$c4',";		
										$sql .= "num_chalet = '$num_chalet1',
										etat = '$etat1',
										mis_a_jour = now();";
					$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
				}
			}

			$sql = "UPDATE base_chalets
						    SET base_chalets.actif = '$etat',
								base_chalets.date_modif = now(),
						        base_chalets.mis_a_jour = now()
		       		      WHERE base_chalets.code_contrat = '$numero'
						    AND base_chalets.num_chalet = '$num_chalet'
						    AND base_chalets.reservation = 'O';";

		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
		print("<center>L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><a href=reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$numero."&val_chalet=1><img src=bouton5.gif border=0></a><br><br>");
		historique("../historique.txt","---RESERVATION,chalet: ".$chalet." de inactif a actif ",$Bsession_id);
	
		$prec_etat = 'O';
	
		}
		if ($validation == 0)
		{
			$erreur = 1;
			print("<center><b><br>");
			print("La p&eacute;riode de r&eacute;servation que vous avez choisi est d&eacute;j&agrave; occup&eacute; par un autre contrat. <br><br>");
			print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");
			$stop = 1;
		}

	
	}
}


if ($etape == 4 )	//SUPPRESSION D'UNE RESERVATION
{

	//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT	
	$sql = "SELECT base_chalets.num_chalet
		      FROM base_chalets
			 WHERE base_chalets.code_contrat = '$numero'
			   AND base_chalets.reservation = 'O';";
	$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result1);
			
	$j = 1;
	while ($row = mysqli_fetch_row($result1))
	{
		$chalets[$j] = $row[0];
		$j++;
	}

	//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES
	$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin		   		  FROM base_reservation
			 WHERE base_reservation.code_reservation = '$numero';";
	$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
	$row2 = mysqli_fetch_row($result2);
	$row_date_debut = $row2[0];
	$row_date_fin = $row2[1];
	$row_cal_debut = $row2[2];
	$row_cal_fin = $row2[3];
	$stop = 0;
	
	//EFFACE LE CHALET DU CALENDRIER
	for ($j = 1; $j < $num+1; $j++)
	{
		$validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,2,$chalets[$j],$numero,$type_reservation); //fonction dans calendrier.php, le 2 pour effacer
		$erreur = 0;
		
		//EFFACE LE CHALET
		$sql = "DELETE FROM base_chalets
		          WHERE code_contrat = '$numero'
				  AND reservation = 'O'";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me de del du chalet: ".$sql);
		
	}	

	//EFFACE LA RESERVATION
	$sql = "DELETE FROM base_reservation
	          WHERE code_reservation = '$numero'";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me de del de la reservation: ".$sql);
	
}




if ($etape == 5 )	//CONVERSION EN CONTRAT ACTIF
{
	//prend les donnees de la reservation////////////////////////////////////////////////////////////////////
	$sql = "SELECT organisme, nom, prenom, tel, type, commentaire, date_debut, date_fin, cal_debut, cal_fin, refere2
       	  FROM base_reservation
		  WHERE code_reservation = '$numero';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire numero_reservation".$sql);
	$row = mysqli_fetch_row($result);
		
	$organisme = $row[0];
	$nom = $row[1];
	$prenom = $row[2];
	$tel = $row[3];	
	$type = $row[4];	
	$commentaire = $row[5];
	$date_debut = $row[6];
	$date_fin = $row[7];
	$cal_debut = $row[8];
	$cal_fin = $row[9];
	$type_reservation = "reservation";
	
	//CALCUL DE LA DIFF&Eacute;RENCE POUR LE NOMBRE DE NUIT&Eacute;ES///////////////////////////////////////////////////////
	$aryDateDebut = explode("-",$date_debut);
	if(empty($debut_annee)) $debut_annee = $aryDateDebut[0];
	if(empty($debut_mois)) $debut_mois = $aryDateDebut[1];
	if(empty($debut_jour)) $debut_jour = $aryDateDebut[2];

	$aryDateFin = explode("-",$date_fin);
	if(empty($fin_annee)) $fin_annee = $aryDateFin[0];
	if(empty($fin_mois)) $fin_mois = $aryDateFin[1];
	if(empty($fin_jour)) $fin_jour = $aryDateFin[2];
	$nuite = diff_dates_cal_greg($debut_jour,$debut_mois,$debut_annee,$fin_jour,$fin_mois,$fin_annee);
	
	
	// cr&eacute;er le nouveau enregistrement dans la table clients//////////////////////////////////////////////////
	$commentaire = addslashes($commentaire);
	
 	$sql = "insert into base_clients
			set organisme = '$organisme',
			type = '$type',
		    org_tel = '$tel',
			nom = '$nom',
			prenom = '$prenom',
			client_tel_reside = '$tel',
			commentaire = '$commentaire',
			refere2 = '$refere',
			date_inscription = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation du client!<br>".$sql."");

	
	$sql = "select max(code_client) 
			from base_clients;";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("ne peut aller chercher le client");
	$row = mysqli_fetch_row($result);
	$code_client = $row[0];
	
	
	//NUM&Eacute;RO DU CONTRAT ET INCREMENTATION///////////////////////////////////////////////////////////////////////
	$sql = "select numero_contrat FROM base_contrat
			    ORDER BY numero_contrat DESC";
			  
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me code contrat dans l'incr&eacute;mentation<br>".$sql);
		$row = mysqli_fetch_row($result);
		$numero_contrat = $row[0] + 1;
	
	
	// cr&eacute;er le nouveau enregistrement dans la table contrat
	 $sql = "insert into base_contrat
			 set date_emission = now(),
			 	 numero_contrat = '$numero_contrat',
				 date_debut = '$date_debut',
				 mois_du_contrat = '$debut_mois',
				 date_fin = '$date_fin',
				 num_client = '$code_client',
				 cal_debut = '$cal_debut',
				 cal_fin = '$cal_fin',
				 etat = 'actif',
				 nuite = '$nuite',
				 mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation du contrat!<br>".$sql);
	
	$sql = "select code_contrat FROM base_contrat
			    ORDER BY numero_contrat DESC";
			  
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me code contrat dans l'incr&eacute;mentation<br>".$sql);
		$row = mysqli_fetch_row($result);
		$code_contrat = $row[0];
		
		
	//CREER UN ENREGISTREMENT DANS NB CLIENT POUR QU'IL SOIT MODIFIABLE AU CONTRAT
	$sql = "INSERT INTO base_nb_clients 
		    SET base_nb_clients.nb_jeune = 0,
			    base_nb_clients.nb_adulte = 0,
				base_nb_clients.code_contrat = '$code_contrat',
				actif = 'O', 
			    base_nb_clients.mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification4".$sql);	
		
	
	
	//UPDATE DU CHALET///////////////////////////////////////////////////////////////////////////////////////////
	//TROUVE LE NOMBRE DE CHALET POUR LE CONTRAT
		$sql = "SELECT num_chalet, actif
		   		  FROM base_chalets
				 WHERE code_contrat = '$numero'
				   AND reservation = 'O';";
		$result1 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_chalet<br><br>".$sql);
		// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
		$num = mysqli_num_rows($result1);

		$j = 1;
		while ($row = mysqli_fetch_row($result1))
		{
			$chalets[$j] = $row[0];
			$actif[$j] = $row[1];
			$j++;
		}

		//PREND UN BACKUP DES ANCIENNE DONN&Eacute;ES
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		   		  FROM base_reservation
				 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_reservation<br><br>".$sql);
		$row2 = mysqli_fetch_row($result2);
		$row_date_debut = $row2[0];
		$row_date_fin = $row2[1];
		$row_cal_debut = $row2[2];
		$row_cal_fin = $row2[3];
		$stop = 0 ;
		
		//BACKUP DES ANCIENNES DONN&Eacute;ES AU CAS OU LA MODIFICATION N'EST PAS VALID&Eacute;		
		$sql = "SELECT base_reservation.date_debut, base_reservation.date_fin, base_reservation.cal_debut, base_reservation.cal_fin
		  		  FROM base_reservation
		 		 WHERE base_reservation.code_reservation = '$numero';";
		$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_contrat<br><br>".$sql);
				$backup_chalet = mysqli_fetch_row($result2);
		
			
		//EFFACE LE CHALET DU CALENDRIER	
		for ($j = 1; $j < $num+1; $j++)
		{
			 $validation = &calendrier($row_cal_debut,$row_cal_fin,$row_date_debut,$row_date_fin,$type_reservation,2,$chalets[$j],$numero,$type_reservation); //fonction dans calendrier.php, le 2 pour effacer
		}	

		$type_reservation = "actif";
		//VALIDE TOUTE LES NOUVELLES DATE DU CONTRAT		
		for ($j = 1; $j < $num+1; $j++)
		{
			if ($actif[$j] !="N")
			{
				list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4) = calendrier($cal_debut,$cal_fin,$date_debut,$date_fin,$type_reservation,1,$chalets[$j],$code_contrat,$type_reservation); //fonction dans calendrier.php,   le 1 est pour ajout
				$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement,$array_c1,$array_c2,$array_c3,$array_c4);
			}	
		}


		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		$validation = 1;
		for ($j = 1; $j < $num+1; $j++)
		{
			$validation = ($validation*$tableau_chalet[$j][0]);
			if ($actif[$j] =="N")
			{
				$val_requete = 1;
				$validation = 1;
			}
		}	

		//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
		if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
		{
			$val_requete = 1;
			//POUR CHAQUE CHALET
			for ($j = 1; $j < $num+1; $j++)
			{
				//METTRE LE CHALET POUR LE NOUVEAU CONTRAT
				$sql = "update base_chalets
		    	SET reservation = 'N',
				code_contrat = '$code_contrat',
				mis_a_jour = now()
		   	  	WHERE code_contrat = '$numero'
				AND reservation = 'O';";
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
				or die("ne peut faire la modification5");
			
				$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
				
				
				
				//POUR CHAQUE ENREGISTREMENT DU CHALET		
				for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
				{
					$requete1 = $tableau_chalet[$j][4][$a]; 
					$etat1 = $tableau_chalet[$j][3][$a];
					$date1 = $tableau_chalet[$j][2][$a];
					$num_chalet1 = $tableau_chalet[$j][1];

					$c1= $tableau_chalet[$j][6][$a];
					$c2= $tableau_chalet[$j][7][$a];
					$c3= $tableau_chalet[$j][8][$a];
					$c4= $tableau_chalet[$j][9][$a];
			
					//SI C'EST POUR UN UPDATE
					if ($requete1 == 2)
					{
						$sql = "UPDATE base_calendrier SET etat = '$etat1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql.= "mis_a_jour = now()
						WHERE base_calendrier.date = '$date1'
						AND num_chalet = '$num_chalet1';";
						$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br>sql=".$sql."...<br>");
					}
					//SI C'EST POUR UN INSERT
					if ($requete1 == 1)
					{
						$sql = "INSERT INTO base_calendrier SET base_calendrier.date = '$date1',";
						if (!empty($c1))
							$sql .= "base_calendrier.c1 = '$c1',";		   
						if (!empty($c2))
							$sql .= "base_calendrier.c2 = '$c2',";
						if (!empty($c3))
							$sql .= "base_calendrier.c3 = '$c3',";
						if (!empty($c4))
							$sql .= "base_calendrier.c4 = '$c4',";		
						$sql .= "num_chalet = '$num_chalet1',
						etat = '$etat1',
						mis_a_jour = now();";
						$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
					}//fin insert
				}//fin pour chaque enregistrement du chalet
			}//fin pour chaque chalet
		}//fin validation > 0


			
			
	//METTRE LA RESERVATION INACTIVE
	$sql = "update base_reservation
    	SET actif = 'N',
		mis_a_jour = now()
   	  	WHERE code_reservation = '$numero';";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql)
	or die("ne peut faire la modification6");
	historique("../historique.txt","---reservation, conversion de la reservation ".$numero." en contrat ".$code_contrat."",$Bsession_id);
	
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
	print("<center>L'enregistrement &agrave; &eacute;t&eacute; un succ&egrave;s.<br><a href=\"../contract/gestion-contract.php?Bsession_id=$Bsession_id&code_contrat=$code_contrat&code_client=$code_client\"><img src=bouton5.gif border=0></a><br><br>");
				
				
				
															
	$stop = 1;	
	

}





//*****************************************************************************************************
// afficher les r&eacute;sultats *****************************************************************************
//*****************************************************************************************************	
if ($stop != 1)
{

	print("<center><font size=5><u><b>Ajout d'une r&eacute;servation</b></u><br><BR>");

	if ($privilege_base == 2)
	{
		print("<a href=reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$numero."&etape=4&type_reservation=reservation><img src=bouton_effacer.jpg border=0></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
		print("<a href=reservation-contract.php?Bsession_id=".$Bsession_id."&numero=".$numero."&etape=5&type_reservation=reservation><img src=bouton_conversion.jpg border=0></a><BR><BR></center>");
	}
	print("<table width=100% border=0><tr><td valign=top>");			

	displayClient();
	if (!empty($numero))
	{
		displayContract();
		if ((!empty($date_debut)) or ($val_chalet == 1))
		{
			displayChalet();
		}
	}	
	//BAS DE PAGE**********************************************************************
	print("<hr><table width=100%><tr><td width=50%><center>");
		//Afficher le bouton de retour au menu principal.
		print("<a href='../menu-base.php?Bsession_id=".$_GET['Bsession_id']."'><img src=bouton1.gif border=0></a>");

	print("</td><tr></table>");	
	
}	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
/*************************************************************************
 * displayClient
 *
 * Tāche: Afficher les champs de donn&eacute;es du client ainsi que le lien pour le modifier
 *
 ************************************************************************/
function displayClient()
{
global $Bsession_id,$numero;
 	
/*******************************************************************************************
 Requ&ecirc;te pour afficher le client
/*******************************************************************************************/

			$sql = "SELECT code_reservation, organisme, nom, prenom, tel, type, commentaire, refere2
        	  FROM base_reservation
			  WHERE code_reservation = '$numero';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire numero_reservation".$sql);
			$row = mysqli_fetch_row($result);
			
			$numero = $row[0];
			$organisme = $row[1];
			$nom = $row[2];
			$prenom = $row[3];
			$tel = $row[4];	
			$type = $row[5];	
			$commentaire = $row[6];
			$refere = $row[7];
	
//*****************************************************************************************************
// afficher les r&eacute;sultats du client********************************************************************
//*****************************************************************************************************

	print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><font face=Arial,Helvetica size=3 color=white><b>1 : Information</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");	

	print("<table width=750px cellspacing=0 cellpadding=0 border=0>");
	
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	
	
	
	print("<form action=\"reservation-contract.php\" method=\"get\" name=\"mod_client\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
	print("<input type=\"hidden\" name=\"numero\" value=".$numero.">");
	print("<input type=\"hidden\" name=\"etape\" value=1");
	//ORGANISME
	print("<B>Organisme:</B> ");
	print("<input type=\"text\" value=\"".$organisme."\" name=\"organisme\" align=\"top\" maxlength=\"100\" size=\"25\">&nbsp;");
	//NOM
	print("<B>Nom:</B> ");
	print("<input type=\"text\" value=\"".$nom."\" name=\"nom\" align=\"top\" maxlength=\"100\" size=\"15\">&nbsp;");
	//PRENOM
	print("<B>Pr&eacute;nom:</B> ");
	print("<input type=\"text\" value=\"".$prenom."\" name=\"prenom\" align=\"top\" maxlength=\"100\" size=\"15\">&nbsp;");
	//TYPE
	print("<B>Type:</B> ");
	print("<select name=\"type\">
			<option selected value=\"".$type."\">".$type."</option>
			<option value=\"SMM\">SMM</option>
			<option value=\"Ext\">Scouts ext</option>
			<option value=\"Famille\">Famille</option>
			<option value=\"District\">District</option>
			<option value=\"Trio\">Trio</option>
			<option value=\"Autres\">Autres</option>
		</select><BR>");
	//TELEPHONE
	print("<B>T&eacute;l&eacute;phone:</B> ");
	print("<input type=\"text\" value=\"".$tel."\" name=\"tel\" align=\"top\" maxlength=\"15\" size=\"25\"><BR>");
	//COMMENTAIRE
	print("<B>Commentaire:</B> ");
	//print("<input type=\"text\" value=".$commentaire." name=\"commentaire\" align=\"top\" maxlength=\"500\" size=\"100\">");
	print("<textarea name=commentaire rows=1 cols=80 wrap=PHYSICAL>".$commentaire."</textarea><br>");
	//REFERE PAR
	print("<B>R&eacute;f&eacute;r&eacute; par:</B><br> ");
	//print("<input type=\"text\" value=".$commentaire." name=\"commentaire\" align=\"top\" maxlength=\"500\" size=\"100\">");
	print("<textarea name=refere rows=1 cols=80 wrap=PHYSICAL>".$refere."</textarea>");
	
	
	print("<input type=\"image\" alt=\"btn_nom\" src=\"bouton0.gif\" border=0 width=15 height=24>");
	print("</form>");
	
	



	
	print("</td></tr></td></table>");
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table><BR><BR>");		

}			
	
	
	
	
	
	
/*************************************************************************
 * displayContract
 *
 * Tāche: Afficher les champs de donn&eacute;es du client ainsi que le lien pour le modifier
 *
 ************************************************************************/	
function displayContract()
{	
global $Bsession_id,$numero, $date_debut;

	$sql = "SELECT date_debut, date_fin, cal_debut, cal_fin, date_emission
        	  FROM base_reservation
			  WHERE code_reservation = '$numero';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire numero_reservation".$sql);
			$row = mysqli_fetch_row($result);
			
			$date_debut = $row[0];
			$date_fin = $row[1];
			$cal_debut = $row[2];
			$cal_fin = $row[3]; 
			$date_emission = $row[4];	

		
	//Tableau de mise en page.
	print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><font face=Arial,Helvetica size=3 color=white><b>2 : Date</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");	
	
	
	
	print("<table width=750px cellspacing=0 cellpadding=0 border=0>");
	print("<tr><td bgcolor=#C8DB8D colspan=2><font face=Arial,Helvetica size=2>");
	print("<b>Num&eacute;ro de reservation: </b>");
	print($numero);
	print("</td></tr>");
			
	//DATE D'&Eacute;MISSION
	print("<tr><td bgcolor=#C8DB8D colspan=2><font face=Arial,Helvetica size=2>");
	print("<b>Date d'&eacute;mission : </b>");
	print($date_emission);
	print("</td></tr>");
		

	//DATE DU CONTRACT
	//debut
		print("</td></tr><tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");	
		print("<form action=\"reservation-contract.php\" method=\"get\" name=\"mod_date_debut\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
		print("<input type=\"hidden\" name=\"numero\" value=".$numero.">");
		print("<input type=\"hidden\" name=\"type_reservation\" value=reservation>");
		print("<input type=\"hidden\" name=\"etat\" value=reservation>");		
		print("<input type=\"hidden\" name=\"etape\" value=2>");		
		print("<b>Date d&eacute;but : </b>");
		print("<input type=\"text\" name=\"date_debut\" value=\"".$date_debut."\" align=\"top\" maxlength=\"10\" size=\"10\">(AAAA-MM-JJ)<br>");
					
		print("<b>Calendrier d&eacute;but: </b>");
		print("<select name=\"cal_debut\">
			<option selected value=\"".$cal_debut."\">".$cal_debut."</option>
			<option value=\"1\">1</option>
			<option value=\"2\">2</option>
			<option value=\"3\">3</option>
			<option value=\"4\">4</option>			
		</select>");
		
		print("</td><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	
	
		//fin	
		print("<br><b>Date fin : </b>");
		print("<input type=\"text\" name=\"date_fin\" value=\"".$date_fin."\" align=\"top\" maxlength=\"10\" size=\"10\">(AAAA-MM-JJ)<br>");	
	
		print("<b>Calendrier fin: </b>");
		print("<select name=\"cal_fin\">
			<option selected value=\"".$cal_fin."\">".$cal_fin."</option>
			<option value=\"1\">1</option>
			<option value=\"2\">2</option>
			<option value=\"3\">3</option>
			<option value=\"4\">4</option>			
		</select>");

		
			
				print("<input type=\"image\" alt=\"btn_heure_fin\" src=\"bouton0.gif\" border=0 width=15 height=24>");
		print("</form>");		

	
	print("</td></tr></table>");
	
	
print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table><BR><BR>");			
	
	
}	
	
	
	



/*************************************************************************
 * displayChalet
 *
 * Tāche: Afficher les champs de donn&eacute;es du client ainsi que le lien pour le modifier
 *
 ************************************************************************/	
function displayChalet()
{
	//Variables globales.
		global $Bsession_id, $numero, $date_debut;

	//RECHERCHE DANS LA TABLE BASE_CHALETS
	$sql = "SELECT base_ref1chalets.nom, base_chalets.prix_plein, base_chalets.prix_rabais,
	               base_chalets.date_modif, base_chalets.actif, base_chalets.num_chalet, base_chalets.prix_par_jour, base_chalets.frais_terrain
	   		  FROM base_ref1chalets, base_chalets
			 WHERE base_chalets.code_contrat = '$numero'
			   AND base_chalets.reservation = 'O'
               AND base_ref1chalets.num_chalet = base_chalets.num_chalet;";

	// Ex&eacute;cute la requ&ecirc;te et mettre les r&eacute;sultats dans $result
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die ("Ne peut lire dans la table base_ref1chalets<br><br>".$sql);
	// obtenir le nombre d'enregistrement. 0 si invalide, 1 si valide.
	$num = mysqli_num_rows($result);
	

	$etat_contrat = "reservation";

//Tableau de mise en page.

	print("<table cellspacing=0 cellpadding=0 width=746px border=0>");
	print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
	print("<td bgcolor=#636300><font face=Arial,Helvetica size=3 color=white><b>");
	print("3 : Information sur le(s) chalet(s)</b></td>");
	print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
	print("</td></tr></table>");	

	print("<table width=746px cellspacing=0 cellpadding=0 border=0>");
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2><b>");
	print("<b>Liste des chalets :</b></td><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	print("<b>Date :</b></td><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2>");
	print("<b>Actif :</b></td></tr>");		
	
	// boucle et requete pour l'affichage des chalets choisis
		while ($row = mysqli_fetch_row($result))
		{	
			print("<form action=\"reservation-contract.php\" method=\"get\" name=\"mod_chalet\">");
			print("<input type=\"hidden\" name=\"Bsession_id\" value=".$_GET['Bsession_id'].">");
			print("<input type=\"hidden\" name=\"numero\" value=".$numero.">");
			print("<input type=\"hidden\" name=\"type_reservation\" value=reservation>");
			print("<input type=\"hidden\" name=\"prec_etat\" value=".$row[4].">");
			print("<input type=\"hidden\" name=\"num_chalet\" value=".$row[5].">");
			print("<input type=\"hidden\" name=\"etape\" value=3>");
			print("<input type=\"hidden\" name=\"val_chalet\" value=1>");

					
			print("<tr><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
			
			$aryDateMaintenant = explode("-",$date_debut);
			if(empty($aaaa)) $aaaa = $aryDateMaintenant[0];
			if(empty($mm)) $mm = $aryDateMaintenant[1];
			if(empty($jj)) $jj = $aryDateMaintenant[2]; 
			
			print("<a href=\"../calendrier/calendrier.php?Bsession_id=".$Bsession_id."&chalet=".$row[5]."&date=".$jj."-".$mm."-".$aaaa."\" target=blank><img src=../contract/images/bouton_calendrier.jpg border=0></a> ");
			print($row[0]);
			
			print("</td><td bgcolor=#D6E4AC><font face=Arial,Helvetica size=2>");
			print($row[3]);
			print("</td><td bgcolor=#C8DB8D><font face=Arial,Helvetica size=2>");
			print("<select name=\"etat\">
				<option selected value=\"".$row[4]."\">".$row[4]."</option>
				<option value=\"O\">O</option>
				<option value=\"N\">N</option>
			</select>");
	
			print("<input type=\"image\" alt=\"btn_chalet\" src=\"bouton0.gif\" border=0 width=15 height=24></form>");
			print("</td></tr>");
		}
	
		//BOUTON AJOUTER
		print("<tr><td bgcolor=#E7EFCE colspan= 7><font face=Arial,Helvetica size=2><div align=right>");
			print("Pour ajouter un nouveau chalet : <a href='ajout-chalet.php?Bsession_id=".$Bsession_id."&code_contrat=".$numero."&type_reservation=reservation&nuite=".$nuite."'><img src=bouton2.gif border=0></a>");
		print("</td></tr>");
		print("</table>");
		
print("<center><table cellspacing=0 cellpadding=0 width=746px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table><BR><BR>");			


}



			
	




	

	//Fin du formulaire.

	
	




	
?>

</body>
</html>	
